#!/bin/sh
#
# One-way full elastic extrapolator
# parameter definition script
#
# Musa Maharramov, Stanford University
# Nov 2012
#
# 1) change parameters in this script
#    if necessary
# 2) run 'runpar_matlab*.sh' on separate machines
# 3) run 'plotem.sh' for PDF images
# 4) optionally run 'cln.sh' to clean up intermediate
#    image files and logs
#
# your Matlab executable
export OWE_MATLAB=/opt/matlab/bin/matlab
#
export OWE_DW=1
# 3D grid parameters
export OWE_NX=128
export OWE_NY=128
export OWE_NZ=128
export OWE_DX=5
export OWE_DY=5
export OWE_DZ=5
# displacements at the source
export OWE_DISPX=1
export OWE_DISPY=1
export OWE_DISPZ=1
# max nonlinear solver iterations
export OWE_MAXITER=100
# elastic medium parameters
# elastic parameters
#
# assume shale with rho=2700 kg/m^3
# shear modulus mu=2.7x10^9 Pa
export OWE_MU=100000
export OWE_LAMBDA=200000
export OWE_RHO=1
# separate frequency groups to extrapolate in
# separate scripts (typically, on separate machines)
#
# make the number of frequency equal to the number
# of processors per node, and the number of scripts
# to the number of nodes
export OWE_FREQ_GROUP_1="1 2 3 4 5 6 7 8"
export OWE_FREQ_GROUP_2="9 10 11 12 13 14 15 16"
#
# name of the output log file (prefix)
# the hostname and a random int are to this,
# followed by '.log' extension
export OWE_LOGNAME=LOG_OWE
